-- Footstep sounds and timing for Dabir's footsteps mod
-- Copy this into your character's scripting somewhere and set the fields below however you like
addHook("PlayerThink", function(player)
	if player.mo.skin == "myskin"
		player.feet = {
							-- Set this to true if you have your own way to handle
							-- footstep sounds (looking at you Modern Sonic)
							-- If handlesself is true, you don't have to set anything else
		//					handlesself = false 
							-- Sound effects for landing on the ground at different speeds (determined by the state you land into)
							-- slow is mandatory, fast is optional
		//					landingsfx = {slow = sfx_ltplop, (fast = sfx_hvplop)}
							-- Sound effects for walking, running, boost moding
							-- Must be inside {} even if you only have one. If you have more than one, one is picked at random with each step
							-- If you leave any of these out, you'll get the default footstep every time
		//					walksfx = {sfx_fstep1, sfx_fstep2, sfx_fstep3, ...}
		//					runsfx = {sfx_fstepa, sfx_fstepb, sfx_fstepc, ...}
		//					dashsfx = {sfx_fstepx, sfx_fstepy, sfx_fstepz, ...}
							-- These determine when the footstep sound effects play during their particular animation
							-- x is the character's current animation frame. You don't have to use it if you don't want to
							-- If you leave any of these out, you won't get that type of footstep sounds at all
		//					walktiming = function(x) return x==2 or x==6 end, // Footstep timing when walking
		//					runtiming = function(x) return x==1 or x==3 end, // Footstep timing when running
		//					dashtiming = function(x) return x==1 or x==3 end, // Footstep timing in boost mode
							-- Various tags for extra footsteps mod behaviour 
		//					airwalk = true // Set if you want walking sounds to play when the character's off the ground
		//					airrun = true // SSet if you want running sounds to play when the character's off the ground
		//					stiff = true // Set if the character's walking/running/boosting animations only have one frame each
				}
	end
	if player.mo.skin == "modernsonic"
		player.feet = {
							handlesself = true
				}
	end
end)